Package org.opensaml.soap.wsaddressing

# Interface ProblemAction

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `WSAddressingObject`, `XMLObject`

All Known Implementing Classes:
  `ProblemActionImpl`

public interface ProblemAction extends AttributeExtensibleXMLObject, WSAddressingObject
Interface for element <wsa:ProblemAction>.

See Also:
  - "WS-Addressing 1.0 - SOAP Binding"

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`Action`
`getAction()`
Get the Action child element.
`SoapAction`
`getSoapAction()`
Get the SoapAction child element.
`void`
`setAction(Action newAction)`
Set the Action child element.
`void`
`setSoapAction(SoapAction newSoapAction)`
Set the SoapAction child element.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### ELEMENT_NAME

@Nonnull static final QName ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getAction

@Nullable Action getAction()
Get the Action child element.

Returns:
  the Action child element

### setAction

void setAction(@Nullable Action newAction)
Set the Action child element.

Parameters:
  `newAction` - the new Action child element

### getSoapAction

@Nullable SoapAction getSoapAction()
Get the SoapAction child element.

Returns:
  the SoapAction child element

### setSoapAction

void setSoapAction(@Nullable SoapAction newSoapAction)
Set the SoapAction child element.

Parameters:
  `newSoapAction` - the new SoapAction child element